Bug 175162 - Unable to start eclipse
Unable to start eclipse
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 20:30 EST by Marco Aurelio Torino Ribeiro
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Aurelio Torino Ribeiro 2005-12-06 20:30:21 EST
Description of problem:
When I try to start Native Eclipse, I get a pop-up with the message "An error
has occurred. See the log file /home/<user
name>/.eclipse/org.eclipse.platform_3.1.1/configuration/<log file>".


    The beginning of the log file contains: 
    "!MESSAGE Error reading configuration: An error occurred while locking file
"/home/<user
name>/.eclipse/org.eclipse.platform_3.1.1/configuration/org.eclipse.osgi/.manager/.fileTableLock":
"No locks available". A common reason is that the file system or Runtime
Environment does not support file locking for that location. Please choose a
different location, or disable file locking passing "-Dosgi.locking=none" as a
VM argument."

    And the last error message is:
"!MESSAGE Startup error
!STACK 1
java.lang.IllegalStateException: Bundle
initial@reference:file:plugins/org.eclipse.core.runtime_3.1.1.jar/ [1] is not
active.
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.ensureBundlesActive(org.osgi.framework.Bundle[])
(/usr/lib/gcj/eclipse/org.eclipse.osgi_3.1.1.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.startup(java.lang.String[],
java.lang.Runnable) (/usr/lib/gcj/eclipse/org.eclipse.osgi_3.1.1.jar.so)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(java.lang.String[],
java.lang.Runnable) (/usr/lib/gcj/eclipse/org.eclipse.osgi_3.1.1.jar.so)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[])
(/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.core.launcher.Main.invokeFramework(java.lang.String[],
java.net.URL[]) (/usr/lib/gcj/eclipse/startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[])
(/usr/lib/gcj/eclipse/startup.jar.so)
   at org.eclipse.core.launcher.Main.run(java.lang.String[])
(/usr/lib/gcj/eclipse/startup.jar.so)
   at org.eclipse.core.launcher.Main.main(java.lang.String[])
(/usr/lib/gcj/eclipse/startup.jar.so)
   at gnu.java.lang.MainThread.call_main() (/usr/lib/libgcj.so.6.0.0)
   at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)"
Comment 1 Andrew Overholt 2005-12-07 10:01:45 EST
Hmm.  I haven't seen this before.  Perhaps try moving ~/.eclipse out of the way
first?

mv ~/.eclipse{,.bak}; eclipse -debug -consoleLog
Comment 2 John Thacker 2006-05-05 16:43:35 EDT
Closing due to lack of response from reporter.

Note You need to log in before you can comment on or make changes to this bug.